Bug 1522881 - RGW Memory Leak
Summary: RGW Memory Leak
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Ceph Storage
Classification: Red Hat
Component: RGW
Version: 2.4
Hardware: x86_64
OS: Linux
unspecified
urgent
Target Milestone: z1
: 2.5
Assignee: Matt Benjamin (redhat)
QA Contact: Tejas
Aron Gunn
URL:
Whiteboard:
Depends On:
Blocks: 1536401 1595937
TreeView+ depends on / blocked
 
Reported: 2017-12-06 16:37 UTC by Benjamin Schmaus
Modified: 2018-08-01 21:27 UTC (History)
18 users (show)

Fixed In Version: RHEL: ceph-10.2.10-22.el7cp Ubuntu: ceph_10.2.10-19redhat1
Doc Type: Bug Fix
Doc Text:
.Fixed a memory leak with the Ceph Object Gateway A buffer used to transfer incoming PUT data was incorrectly sized at the maximum chunk value of 4 MB. This was leading to a space leak of unused buffer space when PUTs of smaller objects were processed. The Ceph Object Gateway can leak space when processing large numbers of PUT requests less than 4M in size. As a result, the incorrect buffer sizing logic was fixed.
Clone Of:
: 1595937 (view as bug list)
Environment:
Last Closed: 2018-07-26 18:06:41 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:2261 None None None 2018-07-26 18:07:49 UTC
Ceph Project Bug Tracker 22410 None None None 2017-12-13 06:33:37 UTC
Ceph Project Bug Tracker 23162 None None None 2018-02-27 15:47:20 UTC
Ceph Project Bug Tracker 23207 None None None 2018-03-04 18:16:08 UTC

Internal Links: 1560101 1595386

Description Benjamin Schmaus 2017-12-06 16:37:52 UTC
Description of problem: Customer is running multiple RGWs on Ubuntu and find that after awhile RGW crashes due to out of memory.


Version-Release number of selected component (if applicable):
2.4

How reproducible:
Customer indicates happens regularly and they have systemd just restarting the RGWs automatically to work around

Steps to Reproduce:
1.
2.
3.

Actual results:
RGW dies 

Expected results:
RGW should run without slowly eating up memory

Additional info:

Comment 10 Benjamin Schmaus 2017-12-11 17:03:46 UTC
Customer ran atop from radosgw node with the following:

$atop -a 0 1 -w <name of output file)

Attachment in comment 9

Comment 140 errata-xmlrpc 2018-07-26 18:06:41 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:2261


Note You need to log in before you can comment on or make changes to this bug.